Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.parserapplications.filterbuilder.layouts
Class VerticalLayoutManager

    java.lang.Object
      org.htmlparser.parserapplications.filterbuilder.layouts.VerticalLayoutManager

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable

    public class VerticalLayoutManager

extends Object
implements LayoutManager2, Serializable

A layout manager like a vertical FlowLayout. Stacks components vertically like GridLayout(0,1) but doesn't resize each component equally. More like a vertical FlowLayout but doesn't snake columns or align things.

See Also:
  Serialized Form

Constructor Summary
`VerticalLayoutManager()` Constructs a VerticalLayoutManager object.

Method Summary
`void` | `addLayoutComponent(Component comp, Object constraints)` Adds the specified component to the layout, using the specified constraint object.
`void` | `addLayoutComponent(String name, Component comp)` Adds the specified component with the specified name to the layout.
`float` | `getLayoutAlignmentX(Container target)` Returns the alignment along the x axis.
`float` | `getLayoutAlignmentY(Container target)` Returns the alignment along the y axis.
`void` | `invalidateLayout(Container target)` Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.
`void` | `layoutContainer(Container target)` Lays out the container.
`Dimension` | `maximumLayoutSize(Container target)` Returns the maximum size of this component.
`Dimension` | `minimumLayoutSize(Container target)` Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
`Dimension` | `preferredLayoutSize(Container target)` Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
`void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerticalLayoutManager

    public VerticalLayoutManager()

  Constructs a VerticalLayoutManager object.

Method Detail

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container target)

  Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Parameters:
    `target` - The component to be laid out.
  Returns:
    The minimum size.
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container target)

  Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Parameters:
    `target` - The component to be laid out.
  Returns:
    A size deemed suitable for laying out the container.
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### maximumLayoutSize

    public Dimension maximumLayoutSize(Container target)

  Returns the maximum size of this component.

  Specified by:
    `maximumLayoutSize` in interface `LayoutManager2`
  Parameters:
    `target` - The component to be laid out.
  Returns:
    The maximum size for the container.
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Adds the specified component with the specified name to the layout.

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`
  Parameters:
    `name` - the component name
    `comp` - the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`
  Parameters:
    `comp` - the component ot be removed

### layoutContainer

    public void layoutContainer(Container target)

  Lays out the container.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Parameters:
    `target` - The container which needs to be laid out.

### addLayoutComponent

    public void addLayoutComponent(Component comp,
                                   Object constraints)

  Adds the specified component to the layout, using the specified constraint object.

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`
  Parameters:
    `comp` - the component to be added
    `constraints` - where/how the component is added to the layout.

### getLayoutAlignmentX

    public float getLayoutAlignmentX(Container target)

  Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

  Specified by:
    `getLayoutAlignmentX` in interface `LayoutManager2`
  Parameters:
    `target` - The target container.
  Returns:
    The X-axis alignment.

### getLayoutAlignmentY

    public float getLayoutAlignmentY(Container target)

  Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

  Specified by:
    `getLayoutAlignmentY` in interface `LayoutManager2`
  Parameters:
    `target` - The target container.
  Returns:
    The Y-axis alignment.

### invalidateLayout

    public void invalidateLayout(Container target)

  Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`
  Parameters:
    `target` - The target container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |